# Uses of Interface
javax.xml.stream.events.Attribute

Packages that use Attribute
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).

## Uses of Attribute in javax.xml.stream

Methods in javax.xml.stream that return Attribute
Modifier and Type
Method
Description
`abstract Attribute`
XMLEventFactory.`createAttribute​(String localName, String value)`
Create a new Attribute
`abstract Attribute`
XMLEventFactory.`createAttribute​(String prefix, String namespaceURI, String localName, String value)`
Create a new Attribute
`abstract Attribute`
XMLEventFactory.`createAttribute​(QName name, String value)`
Create a new Attribute
Method parameters in javax.xml.stream with type arguments of type Attribute
Modifier and Type
Method
Description
`abstract StartElement`
XMLEventFactory.`createStartElement​(String prefix, String namespaceUri, String localName, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces)`
Create a new StartElement.
`abstract StartElement`
XMLEventFactory.`createStartElement​(String prefix, String namespaceUri, String localName, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces, NamespaceContext context)`
Create a new StartElement.
`abstract StartElement`
XMLEventFactory.`createStartElement​(QName name, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces)`
Create a new StartElement.

## Uses of Attribute in javax.xml.stream.events

Subinterfaces of Attribute in javax.xml.stream.events
Modifier and Type
Interface
Description
`interface`
`Namespace`
An interface that contains information about a namespace.
Methods in javax.xml.stream.events that return Attribute
Modifier and Type
Method
Description
`Attribute`
StartElement.`getAttributeByName​(QName name)`
Returns the attribute referred to by the qname.
Methods in javax.xml.stream.events that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Iterator<Attribute>`
StartElement.`getAttributes()`
Returns an Iterator of non-namespace attributes declared on this START_ELEMENT.